﻿
' ------------------------------------------------------------------
'  Add a reference to "COM / "Windows Script Host Object Model"
' ------------------------------------------------------------------

Imports IWshRuntimeLibrary

Module Module_CreateShortcut

    Friend Sub CreateShortcutInStartUpFolder(ByVal Description As String)
        Dim WshShell As WshShell = New WshShell()
        Dim ShortcutPath As String = Environment.GetFolderPath(Environment.SpecialFolder.Startup)
        Dim Shortcut As IWshShortcut = CType(WshShell.CreateShortcut(System.IO.Path.Combine(ShortcutPath, Application.ProductName) & ".lnk"), IWshShortcut)
        Shortcut.TargetPath = Application.ExecutablePath
        Shortcut.WorkingDirectory = Application.StartupPath
        Shortcut.Description = Description
        Shortcut.Save()
    End Sub

    Friend Sub RemoveShortcutFromStartUpFolder(ByVal Description As String)
        Dim ShortcutPath As String = Environment.GetFolderPath(Environment.SpecialFolder.Startup)
        IO.File.Delete(ShortcutPath + "\" + Description + ".lnk")
    End Sub

End Module
